## org.hibernate.action.internal
Class EntityIdentityInsertAction

    java.lang.Object
      org.hibernate.action.internal.EntityAction
          org.hibernate.action.internal.AbstractEntityInsertAction
              org.hibernate.action.internal.EntityIdentityInsertAction

All Implemented Interfaces:
  Serializable, Comparable, AfterTransactionCompletionProcess, Executable

    public final class EntityIdentityInsertAction

extends AbstractEntityInsertAction

See Also:
  Serialized Form

Constructor Summary
`EntityIdentityInsertAction(Object[] state, Object instance, EntityPersister persister, boolean isVersionIncrementDisabled, SessionImplementor session, boolean isDelayed)`

Method Summary
`void` `doAfterTransactionCompletion(boolean success, SessionImplementor session)` Perform whatever processing is encapsulated here after completion of the transaction.
`void` `execute()` Execute this action
`EntityKey` `getDelayedEntityKey()`
`protected EntityKey` `getEntityKey()` Returns the `EntityKey`.
`Serializable` `getGeneratedId()`
`protected boolean` `hasPostCommitEventListeners()`
`boolean` `isEarlyInsert()` Does this insert action need to be executed as soon as possible (e.g., to generate an ID)?
`boolean` `needsAfterTransactionCompletion()`

Methods inherited from class org.hibernate.action.internal.AbstractEntityInsertAction
`afterDeserialize, findNonNullableTransientEntities, getState, handleNaturalIdPostSaveNotifications, handleNaturalIdPreSaveNotifications, makeEntityManaged, markExecuted, nullifyTransientReferencesIfNotAlready`

Methods inherited from class org.hibernate.action.internal.EntityAction
`beforeExecutions, compareTo, eventSource, getAfterTransactionCompletionProcess, getBeforeTransactionCompletionProcess, getDelayedId, getEntityName, getId, getInstance, getPersister, getPropertySpaces, getSession, listenerGroup, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityIdentityInsertAction

    public EntityIdentityInsertAction(Object[] state,
                                      Object instance,
                                      EntityPersister persister,
                                      boolean isVersionIncrementDisabled,
                                      SessionImplementor session,
                                      boolean isDelayed)
                               throws HibernateException

Throws:
  `HibernateException`

Method Detail

### execute

    public void execute()
                 throws HibernateException

  Description copied from interface: `Executable`
  Execute this action

  Throws:
    `HibernateException` - Indicates a problem during execution.

### needsAfterTransactionCompletion

    public boolean needsAfterTransactionCompletion()

  Overrides:
    `needsAfterTransactionCompletion` in class `EntityAction`

### hasPostCommitEventListeners

    protected boolean hasPostCommitEventListeners()

  Specified by:
    `hasPostCommitEventListeners` in class `EntityAction`

### doAfterTransactionCompletion

    public void doAfterTransactionCompletion(boolean success,
                                             SessionImplementor session)

  Description copied from interface: `AfterTransactionCompletionProcess`
  Perform whatever processing is encapsulated here after completion of the transaction.

  Parameters:
    `success` - Did the transaction complete successfully? True means it did.
    `session` - The session on which the transaction is completing.

### getGeneratedId

    public final Serializable getGeneratedId()

### getDelayedEntityKey

    public EntityKey getDelayedEntityKey()

### isEarlyInsert

    public boolean isEarlyInsert()

  Description copied from class: `AbstractEntityInsertAction`
  Does this insert action need to be executed as soon as possible (e.g., to generate an ID)?

  Specified by:
    `isEarlyInsert` in class `AbstractEntityInsertAction`
  Returns:
    true, if it needs to be executed as soon as possible; false, otherwise.

### getEntityKey

    protected EntityKey getEntityKey()

  Description copied from class: `AbstractEntityInsertAction`
  Returns the `EntityKey`.

  Specified by:
    `getEntityKey` in class `AbstractEntityInsertAction`
  Returns:
    the `EntityKey`.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.